/******************************************************
 *                         Commands.h
 *
 * Project : MergeKW                       Ver : 1.0
 * Programmer : Michael Taylor        Date : 8/16/98
 * Language : VC 5.0                Target : Win32
 * Purpose : This file provides the interface to the
 *           commands implemented by the add-in.  The
 *           add-in only supports the merging of multiple
 *           TXT files into 1 USERTYPE.DAT file.   
 *****************************************************/
//@DOC

#if !defined(COMMANDS_H_INCLUDED)
#define COMMANDS_H_INCLUDED
#pragma once

#include "MergeKWTypes.h"

//Registry keys
#define BASE_KEY        TEXT("Software\\Taylor Software\\MergeKW")
#define PATH_VALUE      TEXT("Path")
#define SELECTED_VALUE  TEXT("Selected")
#define DESCRIPT_VALUE  TEXT("Descript")
#define FILES_KEY       TEXT("Files")
#define AUTOMERGE_VALUE TEXT("AutoMerge")

class CCommands : 
	public CComDualImpl<ICommands, &IID_ICommands, &LIBID_MergeKW>, 
	public CComObjectRoot,
	public CComCoClass<CCommands, &CLSID_Commands>
{
protected:
	IApplication* m_pApplication;

public:
	CCommands();
	~CCommands();
	void SetApplicationObject(IApplication* m_pApplication);

	BEGIN_COM_MAP(CCommands)
		COM_INTERFACE_ENTRY(IDispatch)
		COM_INTERFACE_ENTRY(ICommands)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CCommands)

public:
// ICommands methods
	STDMETHOD(MergeKWCommandMethod)(THIS);
	STDMETHOD(AddKWCommandMethod)(THIS);
};

typedef CComObject<CCommands> CCommandsObj;

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.
//}}AFX_INSERT_LOCATION}}
#endif  // Sentry
